[Swift-commit] r4844 - www

wozniak at ci.uchicago.edu wozniak at ci.uchicago.edu
Mon Jul 25 16:11:11 CDT 2011


Author: wozniak
Date: 2011-07-25 16:11:11 -0500 (Mon, 25 Jul 2011)
New Revision: 4844

Modified:
   www/push_to.sh
Log:
Fixed a couple typos and bugs.  Also, allow output through


Modified: www/push_to.sh
===================================================================
--- www/push_to.sh	2011-07-25 20:48:18 UTC (rev 4843)
+++ www/push_to.sh	2011-07-25 21:11:11 UTC (rev 4844)
@@ -95,28 +95,28 @@
 downloads/index.php
 downloads/release-notes-0.8.txt
 main/index.php
-push_to.sh
 support/index.php
 update.sh
 "
 
 # Make sure destination directory exists
-if [ ! -d "$DESTINATION" ]; then
-   mkdir $DESTINATION > /dev/null 2>&1 || exit 1
-   chgrp $GROUP $DESTINATION > /dev/null 2>&1
-   chmod $CHMOD_DIRECTORY_MODE $DESTINATION > /dev/null 2>&1
+if [ ! -d "$DESTINATION" ]
+then
+   mkdir -v $DESTINATION || exit 1
+   chgrp $GROUP $DESTINATION > /dev/null
+   chmod $CHMOD_DIRECTORY_MODE $DESTINATION
 fi
 
 # Copy files to destination
 for FILE in $FILES
 do
    destination_dir=`dirname $FILE`
-   mkdir -p $DESTINATION/$destination_dir
-   chgrp $GROUP $DESTIONATION/$destination_dir > /dev/null 2>&1
-   chmod $CHMOD_DIRECTORY_MODE $DESTINATION > /dev/null 2>&1
-   cp $FILE $DESTINATION/$destination_dir/ > /dev/null 2>&1
-   chgrp $GROUP $FILE > /dev/null 2>&1
-   chmod $CHMOD_FILE_MODE $FILE > /dev/null 2>&1
+   mkdir -pv $DESTINATION/$destination_dir
+   chgrp $GROUP $DESTINATION/$destination_dir
+   chmod $CHMOD_DIRECTORY_MODE $DESTINATION/$destination_dir
+   cp $FILE $DESTINATION/$destination_dir
+   chgrp $GROUP $DESTINATION/$destination_dir/$FILE
+   chmod $CHMOD_FILE_MODE $DESTINATION/$FILE
 done
 
 popd > /dev/null 2>&1




More information about the Swift-commit mailing list